/* fileio.c */

#include <stdlib.h>
#include <stdio.h>

int writefile(fname, buff, n)
char *fname;
char *buff;
int n;
{
	FILE *fp;
	int nb, where = 0;

	if (!(fp = fopen(fname, "w"))) return(-1);

	do{
		if ((nb=fwrite(buff+where, sizeof(char), n-where, fp)) < 0){
            perror("Write_File: write failed");
			return(-1);
		}
		where += nb;
	} while(n-where > 0 && nb > 0);

	fclose(fp);
	return(where);
}


int readfile(fname, buff, n)
char *fname;
char *buff;
int n;
{
	FILE *fp;
	int nb, where = 0;

	if (!(fp = fopen(fname, "r"))) return(-1);

	do{
		if ((nb=fread(buff+where, sizeof(char), n-where, fp)) < 0){
            perror("Read_File: read failed");
			return(-1);
		}
		where += nb;
	} while(n-where > 0 && nb > 0);

	fclose(fp);
	return(where);
}

