/* sockio.c */

/*
 
 *   Permission is granted to any individual to copy, use, and/or
 * distribute this software so long as the distribution includes
 * all the original unmodified files. No part of this software may
 * be used and/or sold for profit or used with any commercial product.

 * DISCLAIMER:
 *   This software comes with NO WARRANTIES of any kind. In no event
 * will the author be liable for any financial, physical, moral, and/or
 * mental damages incurred directly or indirectly by the use or intent
 * to use of this software.
 
 */

#include "dfcss.h"
#include "sock.h"

int ASockWrite(sd, buff)
#ifdef __TURBOC__
tcp_Socket *sd;
#else
int sd;
#endif
char *buff;
{
	unsigned char slen[3];
    short len;

    len = MIN(strlen(buff), 0xFFFF);

    slen[0] = (char) len & 0x00FF;
    slen[1] = (char) (len >> 8) & 0x00FF;

	if (SockWrite(sd, slen, 2) < 0) return(-1);
	if (SockWrite(sd, buff, strlen(buff)) < 0) return(-1);
}

int ASockRead(sd, buff)
#ifdef __TURBOC__
tcp_Socket *sd;
#else
int sd;
#endif
char *buff;
{
	unsigned char slen[3];
    short len;

	SockRead(sd, slen, 2);

    len = ((((int) slen[1])<<8) & 0xFF00) | ((int) slen[0] & 0x00FF);
	if (SockRead(sd, buff, len) < 0) return(-1);
	buff[len] = '\0';
}
